import { nothing, type PropertyValues } from '../../../../external/lit/index.js';
import { UmbLitElement } from '../../../core/lit-element/index.js';
export interface UmbConfirmBulkActionModalEntityReferencesConfig {
    uniques: Array<string>;
    itemRepositoryAlias: string;
    referenceRepositoryAlias: string;
}
export declare class UmbConfirmBulkActionModalEntityReferencesElement extends UmbLitElement {
    #private;
    config?: {
        uniques: Array<string>;
        itemRepositoryAlias: string;
        referenceRepositoryAlias: string;
    };
    private _items;
    private _totalItems;
    getTotalItems(): number;
    protected firstUpdated(_changedProperties: PropertyValues): void;
    render(): typeof nothing | import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
declare global {
    interface HTMLElementTagNameMap {
        'umb-confirm-bulk-action-modal-entity-references': UmbConfirmBulkActionModalEntityReferencesElement;
    }
}
